Reset Enrichment Waterfall
curl --request PUT \
--url https://api.lemlist.com/api/v2/enrichments/waterfalls/{waterfallId}/reset \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/v2/enrichments/waterfalls/{waterfallId}/reset"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/v2/enrichments/waterfalls/{waterfallId}/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/v2/enrichments/waterfalls/{waterfallId}/reset")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/v2/enrichments/waterfalls/{waterfallId}/reset",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"id": "default_email",
"type": "email",
"name": "Default email waterfall",
"isDefault": true,
"editor": "lemlist",
"providers": [
{
"id": "lusha",
"order": 1,
"enabled": true
},
{
"id": "prospeo",
"order": 2,
"enabled": true
},
{
"id": "findymail",
"order": 3,
"enabled": true
},
{
"id": "datagma",
"order": 4,
"enabled": true
}
],
"createdAt": null,
"updatedAt": null
}
}{
"error": "Only default waterfalls can be reset",
"code": "ENRICHMENT_WATERFALL_NOT_DEFAULT"
}{
"error": "Route unauthorized",
"code": "ROUTE_UNAUTHORIZED"
}{
"error": "Waterfall not found",
"code": "ENRICHMENT_WATERFALL_NOT_FOUND"
}{
"error": "Internal error",
"code": "INTERNAL_ERROR"
}Enrichment Waterfalls
Reset Enrichment Waterfall
Hands a default enrichment waterfall back to lemlist, restoring its random provider order.
PUT
/
v2
/
enrichments
/
waterfalls
/
{waterfallId}
/
reset
Reset Enrichment Waterfall
Only default waterfalls can be reset. A custom waterfall answers
400 ENRICHMENT_WATERFALL_NOT_DEFAULT.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
default_email or default_phone.
Available options:
default_email, default_phone Response
Success
An ordered list of providers for one enrichment type.
Show child attributes
Show child attributes
Was this page helpful?